﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Error Handling while performing the Bulk Upload</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Error Handling while performing the Bulk Upload</h1>
        <p>The following are the common error a user experience while performing Bulk Upload for Requesting access for multi-user. Please refer to the following table to understand the root cause of the errors that occurred.</p>
        <div class="table-wrap">
            <table style="width: 100%;">
                <col style="width: 160.0px;" />
                <col style="width: 282.0px;" />
                <col style="width: 318.0px;" />
                <thead>
                    <tr>
                        <th>
                            <p class="table-text">Request Type</p>
                        </th>
                        <th>
                            <p class="table-text">Error Reason</p>
                        </th>
                        <th>
                            <p class="table-text">Root Cause</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <p class="table-text">Access, Role</p>
                        </td>
                        <td>
                            <p class="table-text">User: &lt;username&gt; does not exists or is inactive</p>
                        </td>
                        <td>
                            <p class="table-text">The username provided in the upload sheet for the role or the access request does not exist in Saviynt</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access, Role</p>
                        </td>
                        <td>
                            <p class="table-text">&lt;Loggedin-User&gt; not allowed to create request&#160;for: &lt;Beneficiary-User&gt;.</p>
                        </td>
                        <td>
                            <p class="table-text">The beneficiary user is not among the list of users matching the ‘Whom to Request’ user list of logged in user’s SAV Role.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access</p>
                        </td>
                        <td>
                            <p class="table-text">Multiple Accounts for same User and Endpoint</p>
                        </td>
                        <td>
                            <p class="table-text">When multiple accounts are requested for the same user for the same endpoint in a single file.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access</p>
                        </td>
                        <td>
                            <p class="table-text">Endpoint: &lt;Endpointname&gt; not found</p>
                        </td>
                        <td>
                            <p class="table-text">The endpoint name provided in the sheet does not exist in Saviynt.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access</p>
                        </td>
                        <td>
                            <p class="table-text">Endpoint is not requestable</p>
                        </td>
                        <td>
                            <p class="table-text">The selected endpoint is not set as requestable through the configuration ‘Requestable’ on the endpoint.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access</p>
                        </td>
                        <td>
                            <p class="table-text">Entitlement type does not belong to endpoint</p>
                        </td>
                        <td>
                            <p class="table-text">The mentioned entitlement type does not belong to the mentioned endpoint in the line item in the sheet.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access</p>
                        </td>
                        <td>
                            <p class="table-text">Entitlement type is not requestable</p>
                        </td>
                        <td>
                            <p class="table-text">The request option for the mentioned entitlement type is set as ‘None’ at the endpoint making any entitlements of these type to be not requestable.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access</p>
                        </td>
                        <td>
                            <p class="table-text">No workflow associated</p>
                        </td>
                        <td>
                            <p class="table-text">Add access workflow should be configured in the associated security system, for these request types of </p>
                            <ul>
                                <li>
                                    <p class="table-text"> New account</p>
                                </li>
                                <li>
                                    <p class="table-text">Add access</p>
                                </li>
                                <li>
                                    <p class="table-text">Add application role</p>
                                </li>
                                <li>
                                    <p class="table-text">Dynamic attribute </p>
                                </li>
                            </ul>
                            <p class="table-text">Remove Access workflow should be configured in the associated security system for these type of requests: </p>
                            <ul>
                                <li>
                                    <p class="table-text">Remove Access</p>
                                </li>
                                <li>
                                    <p class="table-text">Remove Account</p>
                                </li>
                                <li>
                                    <p class="table-text">Remove Application Role</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (New Account)</p>
                        </td>
                        <td>
                            <p class="table-text">Active Account for user exists and new account request is disabled</p>
                        </td>
                        <td>
                            <p class="table-text">An active account for this user already exists and no further new account requests can be placed for this user. This happens when the configuration <strong>Disable New Account Request if Account Already Exists</strong> is set to true</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (New Account)</p>
                        </td>
                        <td>
                            <p class="table-text">Account: &lt;accountname&gt; already exists.</p>
                        </td>
                        <td>
                            <p class="table-text">An account with the same name already exists for the mentioned endpoint</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (New Account)</p>
                        </td>
                        <td>
                            <p class="table-text">Account Name Regex validation Failed</p>
                        </td>
                        <td>
                            <p class="table-text">The provided account name doesn’t match the regex configured in <strong>Account Name validator Regex </strong>in the endpoint.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Remove Account)</p>
                        </td>
                        <td>
                            <p class="table-text">Account Name can not be Blank</p>
                        </td>
                        <td>
                            <p class="table-text">The account name cannot be blank if the request type is ‘Remove Account’</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Remove Account)</p>
                        </td>
                        <td>
                            <p class="table-text">Can not Remove This Account from Endpoint</p>
                        </td>
                        <td>
                            <p class="table-text">If the configuration <strong>Disable Remove Account</strong> is enabled on the endpoint, then the account cannot be removed.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Remove Account)</p>
                        </td>
                        <td>
                            <p class="table-text">An active Account does not exist</p>
                        </td>
                        <td>
                            <p class="table-text">No existing active account with the provided account name exists on the endpoint.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Add Access)</p>
                        </td>
                        <td>
                            <p class="table-text">Active/Requestable Access not found for Entitlement Type and endpoint</p>
                        </td>
                        <td>
                            <p class="table-text">The requested entitlement does not match the entitlements from the <strong>Config for Requestable Entitlement in ARS</strong> set at Entitlement Type</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Add Access)</p>
                        </td>
                        <td>
                            <p class="table-text">Requested Access does not satisfied the Selected Entitlement Query for Entitlement</p>
                        </td>
                        <td>
                            <p class="table-text">The requested entitlement does not match the entitlements from the <strong>Config for Selected Entitlement in ARS</strong> set at Entitlement Type</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Add Access)</p>
                        </td>
                        <td>
                            <p class="table-text">Account already has Access</p>
                        </td>
                        <td>
                            <p class="table-text">The requested entitlement is already associated with the account,so an add access request for the same cannot be placed.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Add/Remove Access)</p>
                        </td>
                        <td>
                            <p class="table-text">User does not have active Account in Endpoint</p>
                        </td>
                        <td>
                            <p class="table-text">No existing active account with the provided account name exists on the endpoint.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Remove Access)</p>
                        </td>
                        <td>
                            <p class="table-text">Access is not assigned to account</p>
                        </td>
                        <td>
                            <p class="table-text">The requested entitlement is not associated with the account, so a remove access request for the same cannot be placed.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Dynamic Attribute)</p>
                        </td>
                        <td>
                            <p class="table-text">Dynamic attribute not found</p>
                        </td>
                        <td>
                            <p class="table-text">No such dynamic attribute with the provided attribute name exists on the endpoint</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Dynamic Attribute)</p>
                        </td>
                        <td>
                            <p class="table-text">Required Dynamic Attribute missing in request</p>
                        </td>
                        <td>
                            <p class="table-text">If the dynamic attributes configured as required are part of the request, value cannot be blank.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Add/Remove Application Role)</p>
                        </td>
                        <td>
                            <p class="table-text">Role is not active</p>
                        </td>
                        <td>
                            <p class="table-text">The application role is not in an active status</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Add/Remove Application Role)</p>
                        </td>
                        <td>
                            <p class="table-text">Role is not associated with the given endpoint</p>
                        </td>
                        <td>
                            <p class="table-text">The application role is not associated with the endpoint provided in the sheet</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Access (Add/Remove Application Role)</p>
                        </td>
                        <td>
                            <p class="table-text">Role with Role Name not found</p>
                        </td>
                        <td>
                            <p class="table-text">No role with the name provided in the sheet exists in Saviynt</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role</p>
                        </td>
                        <td>
                            <p class="table-text">User not found.</p>
                        </td>
                        <td>
                            <p class="table-text">No active user with the provided username exists in Saviynt</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role</p>
                        </td>
                        <td>
                            <p class="table-text">User doesn't have any active account</p>
                        </td>
                        <td>
                            <p class="table-text">If <strong>Account Required In All Endpoints</strong> for Enterprise/Firefighter role is set to true, in Global Configurations&gt; Role Request, then the user needs to have an existing account before requesting for an Enterprise/Firefighter role.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role</p>
                        </td>
                        <td>
                            <p class="table-text">User doesn't have any active account in Endpoints for Role</p>
                        </td>
                        <td>
                            <p class="table-text">If Account Required In All Endpoints for Enterprise/Firefighter role is set to true, in Global Configurations&gt; Role Request, then the user needs to have an existing account before requesting for an Enterprise/Firefighter role.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role</p>
                        </td>
                        <td>
                            <p class="table-text">Role is not active</p>
                        </td>
                        <td>
                            <p class="table-text">The enterprise/firefighter role mentioned in the request is not inactive status.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role</p>
                        </td>
                        <td>
                            <p class="table-text">Role is not requestable</p>
                        </td>
                        <td>
                            <p class="table-text">The enterprise/firefighter role is not requestable</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role</p>
                        </td>
                        <td>
                            <p class="table-text">Role Type is not correct</p>
                        </td>
                        <td>
                            <p class="table-text">The type of role is not correct</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Add)</p>
                        </td>
                        <td>
                            <p class="table-text">Role already assigned to User</p>
                        </td>
                        <td>
                            <p class="table-text">The enterprise/firefighter role is already assigned to the mentioned user.</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Add)</p>
                        </td>
                        <td>
                            <p class="table-text">Start Date is mandatory</p>
                        </td>
                        <td>
                            <p class="table-text">The request does not have the start date specified and Start date for the enterprise/firefighter role is set as mandatory. The configuration is set at Global Configurations &gt; Role Request &gt; Enterprise/Firefighter role &gt; Start Date</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Add)</p>
                        </td>
                        <td>
                            <p class="table-text">End Date is mandatory</p>
                        </td>
                        <td>
                            <p class="table-text">The request does not have the end date specified and End date for the enterprise/firefighter role is set as mandatory. The configuration is set at Global Configurations &gt; Role Request &gt; Enterprise/Firefighter role &gt; End Date</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Add)</p>
                        </td>
                        <td>
                            <p class="table-text">Start Date must be greater than current Date for Role</p>
                        </td>
                        <td>
                            <p class="table-text">The Start Date in the request is less than the current date</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Add)</p>
                        </td>
                        <td>
                            <p class="table-text">End Date must be greater than current Date for Role</p>
                        </td>
                        <td>
                            <p class="table-text">The End Date in the request is less than the current date</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Add) </p>
                        </td>
                        <td>
                            <p class="table-text"> End Date must be greater than Start Date for Role</p>
                        </td>
                        <td>
                            <p class="table-text">The Start Date cannot be greater than the End Date provided in the request</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Add)</p>
                        </td>
                        <td>
                            <p class="table-text">End Date less than Current Date after adding Default Time Frame Hrs</p>
                        </td>
                        <td>
                            <p class="table-text">The difference between Start and End date in the request should be greater than or equal to the Default Time Frame hours</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Remove)</p>
                        </td>
                        <td>
                            <p class="table-text">Role not assigned to User:</p>
                        </td>
                        <td>
                            <p class="table-text">The Enterprise/Firefighter role is not assigned to the user</p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p class="table-text">Role (Dynamic Attribute)</p>
                        </td>
                        <td>
                            <p class="table-text">Dynamic Attribute Value not found in Role for User</p>
                        </td>
                        <td>
                            <p class="table-text">The value of the dynamic attribute in the request is blank. This happens when the dynamic attribute name is provided but no value is populated.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>